View Issue Details

IDProjectCategoryView StatusLast Update
0000265OpenFOAM[All Projects] Bugpublic2011-08-06 16:52
ReporterwyldckatAssigned Tochris 
PrioritynormalSeveritytrivialReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version>=10.04
Product Version 
Fixed in Version 
Summary0000265: Some new users unfamiliar with Ubuntu and OpenFOAM have a tendency to fail the copy-paste instructions...
DescriptionIt has come to my attention that new users that aren't familiar with Ubuntu/Linux and OpenFOAM (i.e. don't have a keen eye for details) are contaminating the "/etc/apt/sources.list" file with multiple executions of the instructions for adding the repository.

Examples:
* http://www.cfd-online.com/Forums/openfoam-installation/90637-openfoam-installation-algeria-dz.html
* http://www.cfd-online.com/Forums/openfoam/90996-openfoam-installation.html
Steps To ReproduceAfter considering other possibilities, I suggest that this instruction:
   sudo sh -c "echo deb http://www.openfoam.com/download/ubuntu $VERS main >> /etc/apt/sources.list"

Is changed to this one:
   sudo sh -c "echo deb http://www.openfoam.com/download/ubuntu $VERS main > /etc/apt/sources.list.d/openfoam.list"

(Notice that there is only one '>' character.)

This way users will not contaminate the master "/etc/apt/sources.list" file and even if they do run the command after multiple attempts, it will always create a new file; therefore they will not be adding to their mistakes, but simply going to go through a healthy trial-and-error learning experience ;)

I've confirmed (just in case) that '/etc/apt/sources.list.d/*.list' is valid for Ubuntu 10.04 and above.
TagsNo tags attached.

Activities

user19

2011-07-30 12:10

  ~0000599

+1 from me.

user171

2011-08-03 11:47

  ~0000602

+1

wyldckat

2011-08-06 15:43

updater   ~0000609

Last edited: 2011-08-06 16:23

View 2 revisions

Wicked! OpenFOAM 2.0.1 has been released!

I only now saw the Ubuntu page for OpenFOAM 2.0.1 and I noticed this written there:
   sudo sh -c "echo deb http://www.openfoam.com/download/ubuntu $VERS main > /etc/apt/openfoam.list"

It's missing the sub-folder "sources.list.d/" before the file name "openfoam.list". Quoting from the "man apt-get" page:

  FILES
       /etc/apt/sources.list
           Locations to fetch packages from. Configuration Item:
           Dir::Etc::SourceList.

       /etc/apt/sources.list.d/
           File fragments for locations to fetch packages from. Configuration
           Item: Dir::Etc::SourceParts.


By the way, I don't think there is a tag yet for this release on the github repository.

Best regards,
Bruno

chris

2011-08-06 16:52

manager   ~0000610

Many thanks, great idea, fixed now.

Issue History

Date Modified Username Field Change
2011-07-30 00:21 wyldckat New Issue
2011-07-30 12:10 user19 Note Added: 0000599
2011-08-03 11:47 user171 Note Added: 0000602
2011-08-06 15:43 wyldckat Note Added: 0000609
2011-08-06 16:23 wyldckat Note Edited: 0000609 View Revisions
2011-08-06 16:52 chris Note Added: 0000610
2011-08-06 16:52 chris Status new => resolved
2011-08-06 16:52 chris Resolution open => fixed
2011-08-06 16:52 chris Assigned To => chris